Update user

PATCH
https://example.kaiten.ru/api/latest/users/{id}
Path parameters
NameTypeReference
idrequiredintegerUser ID
Headers
NameValue
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
username
string

Username for mentions and login

full_name
string
minLength: 1
maxLength: 128

Full name

initials
string
minLength: 2
maxLength: 2

Initials

avatar_type
enum
[1,2,3]

1 – gravatar, 2 – initials, 3 - uploaded

password
string
minLength: 6

New password

old_password
string | null
minLength: 6
Old password
lng
string

Language

default_space_id
integer | null
Default space
theme
enum
[light,dark,auto]

light - light color theme, dark - dark color theme, auto - color theme based on OS settings

email_frequency
enum
[1,2]

1 - never, 2 – instantly

timezone
string

Time zone

subject_by
enum
[1,2]

1 - id and title, 2 – action

email_settings
object

Email settings

telegram_settings
object

Telegram settings

slack_settings
object

Slack settings

notification_enabled_channels
array
[
  inner,
  mobile_app,
  email,
  slack,
  telegram
]

List of enabled channels for notifications

notification_settings
object

Channel lists where notifications for specified events should be sent

ui_version
enum
[1,2]

1 - old ui. 2 - new ui

Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
id

integer

User id
full_name

string

User full name
email

string

User email
username

string

Username for mentions and login
updated

string

Last update timestamp
created

string

Create date
avatar_initials_url

string

Default user avatar
avatar_uploaded_url

null | string

User uploaded avatar url
activated

boolean

User activated flag
initials

string

User initials
avatar_type

enum

1 – gravatar, 2 – initials, 3 - uploaded
lng

string

Language
sd_telegram_id

integer

Service desk telegram id
timezone

string

Time zone
news_subscription

boolean

news subscription flag
theme

enum

light - light color theme, dark - dark color theme, auto - color theme based on OS settings
ui_version

enum

1 - old ui. 2 - new ui
default_space_id

null | integer

Default space
email_frequency

enum

1 - never, 2 – instantly
email_settings

object

Schema
Email settings
work_time_settings

object

Schema
Work time settings
telegram_id

integer

Telegram id
telegram_settings

object

Telegram settings
has_password

boolean

Has user password flag
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbidenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request PATCH \
  2       --url 'https://example.kaiten.ru/api/latest/users/{id}' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!